summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/ctan2tds
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/ctan2tds')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tds41
1 files changed, 34 insertions, 7 deletions
diff --git a/Master/tlpkg/bin/ctan2tds b/Master/tlpkg/bin/ctan2tds
index 914270f7ef2..0c4393b78b8 100755
--- a/Master/tlpkg/bin/ctan2tds
+++ b/Master/tlpkg/bin/ctan2tds
@@ -103,7 +103,7 @@ chdir $startdir || die "chdir($startdir) failed: $!"; # back to raw
'cheq', "die 'skipping, nosell license'",
'circuit_macros', "die 'skipping, needs m4'",
'cjhebrew', "&MAKEflatten",
- 'cjk', "die 'skipping, not ready'", #"&MAKEcjk",
+ 'cjk', "&MAKEcjk",
'clock', "&MAKEflatten",
'cm-lgc', '&MAKEcmlgc',
'cm-super', "&MAKEflatten",
@@ -2732,15 +2732,18 @@ sub MAKEvossde {
# wadalab provides nearly TDS-ready .tar.gz with additional stuff
+#
sub MAKEwadalab
{
- print "MAKEwadalab $package\n";
+ print "MAKEwadalab $package - munge tds-ready tarballs\n";
&setup;
&xchdir ("$DEST/doc/$whichdocformat/$package");
+
# each XX.tar.gz contains a tds-ready tree under XX/texmf: use it
- opendir (HERE, ".") or die "this should no happen: $!";
+ opendir (HERE, ".") || die "opendir(.) failed: $!";
my @tarfiles = grep /\.tar\.gz$/, readdir HERE;
- closedir HERE;
+ closedir (HERE);
+
my $destfonts = "$DEST/fonts";
&SYSTEM ("mkdir -p $destfonts");
foreach my $tarfile (@tarfiles) {
@@ -2749,9 +2752,14 @@ sub MAKEwadalab
&SYSTEM ("cp -r $tarfile/texmf/* $DEST");
&SYSTEM ("rm -r $tarfile/texmf && rmdir $tarfile");
}
+
+ # except the mincho-1-8-* tarball misses the doc/fonts level.
+ &SYSTEM ("$MV $DEST/doc/wadalab/* $DEST/doc/fonts/wadalab/");
+
# wadalab has a dir of xdelta from the original fonts
-d "xdelta" && &SYSTEM ("$MV xdelta $DEST/source/$whichdocformat/$package");
- # rm unused directories
+
+ # rm unused directories.
&SYSTEM ("rmdir $DEST/*/$whichformat/$package 2>/dev/null");
}
@@ -3091,11 +3099,30 @@ sub MAKEcjk
&SYSTEM ("$RM *.zip && $MV 4.8.0/* . && rmdir 4.8.0");
#
&xchdir ($DEST);
+ #
+ # move contrib into source subdir.
+ &SYSTEM ("$MV $DOCDIR/contrib source/latex/cjk/");
+ #
# rename texinput to tex/latex/cjk.
&SYSTEM ("rmdir tex/latex/cjk; $MV $DOCDIR/texinput tex/latex/cjk");
#
- # miscellany for source subdir.
- &SYSTEM ("$MV $DOCDIR/contrib $DOCDIR/utils source/latex/cjk/");
+ # rename texlive, contains modified KS/HLaTeX .fd files.
+ my $ksl_dest = "tex/latex/cjk/contrib/hlatex-texlive";
+ &xmkdir ($ksl_dest);
+ &SYSTEM ("$MV $DOCDIR/texlive $ksl_dest");
+ #
+ # move utils into source subdir too, wht we have in
+ # Build/source/texk/cjkutils is a tiny subset.
+ &SYSTEM ("$MV $DOCDIR/utils source/latex/cjk/");
+ #
+ # remove the thaifont runtime files which we painfully package separately.
+ # but leave other thaifont files here, not worth dealing.
+ &SYSTEM ("rm -rf source/latex/cjk/utils/thaifont/texmf");
+ #
+ # We need the wadalab fd files.
+ my $wada_dest = "tex/latex/cjk/contrib/wadalab";
+ &xmkdir ($wada_dest);
+ &SYSTEM ("$MV source/latex/cjk/contrib/wadalab/*.fd* $wada_dest/");
}
sub MAKEcmlgc